Skip to main content
`Ctrl`+`K`

# ISGetType

Gets the index set type name, `ISType`, (as a string) from the `IS`.

## Synopsis

    #include "petscis.h"
    PetscErrorCode ISGetType(IS is, ISType *type)

Not Collective

## Input Parameter

- is - The index set

## Output Parameter

- type - The index set type name

## See Also

Low-level Vector Communication, `IS`, `ISType`, `ISSetType()`, `ISCreate()`

## Level

intermediate

## Location

src/vec/is/is/interface/isreg.c

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages